## waze 0.0.9

=== icons/Makefile ===

# Those hand-made icons (the others are official road signs):
ICONSRC= rm_hold.xpm \
			rm_gps.xpm \
			rm_zoom1.xpm \
			rm_zoomin.xpm \
			rm_zoomout.xpm

ICONS=$(ICONSRC:.xpm=.png)

CONVERT=convert

all: icons

install: $(ICONS)
	rm -f temp.png
	cp rm_*.png $(ICONDIR)

uninstall:
	cd $(ICONDIR) && rm -f rm_*.png

icons: $(ICONS)
	rm -f temp.png

clean: cleanone

cleanone:
	$(RM) $(ICONS)
	# Clean up CVS backup files as well.
	$(RM) .#*

%.png : %.xpm
	$(CONVERT) -transparent yellow $< temp.png
	$(CONVERT) -scale 16x16 temp.png $@

=== unix/Makefile ===
# --- Tool specific options ------------------------------------------------

ifeq ($(DESKTOP),IPHONE)

ifeq ($(IPHONE_TOOLS_DIR),)
IPHONE_TOOLS_DIR=/usr
endif

CC=$(IPHONE_TOOLS_DIR)/bin/arm-apple-darwin9-gcc
AR=$(IPHONE_TOOLS_DIR)/bin/arm-apple-darwin9-ar
RANLIB = $(IPHONE_TOOLS_DIR)/bin/arm-apple-darwin9-ranlib

SOUNDSRC = 

else 
ifeq ($(DESKTOP),ANDROID)
include ../android/Makefile.in.android
 
else
RANLIB = ranlib

SOUNDSRC = roadmap_sound.c

endif
endif

HOST=`uname -s`
ifeq ($(HOST),Darwin)
	ARFLAGS="r"
else
	ARFLAGS="r"
endif

CFLAGS=$(MODECFLAGS) $(CFLAGS_ANDROID) $(INCLUDES) -I$(PWD) $(LIBDIRS)
CXXFLAGS=$(CFLAGS) 
LDFLAGS=$(MODELDFLAGS)

# --- RoadMap sources & targets --------------------------------------------

OSLIBSRCSCORE=roadmap_file.c \
              roadmap_library.c \
              roadmap_ssl.c \
              roadmap_net.c \
              ../md5.c \
              roadmap_serial.c \
              roadmap_device_events.c \
              roadmap_input_type.c \
              roadmap_time.c \
              roadmap_thread.c \
              resolver.c
	      

ifneq ($(DESKTOP),ANDROID)
OSLIBSRCSCORE+= roadmap_path.c roadmap_spawn.c
ifneq ($(DESKTOP),GTK2)
OSLIBSRCSCORE+= roadmap_thread.c
endif
endif

OSLIBSRCS=$(OSLIBSRCSCORE) $(SOUNDSRC)
OSLIBOBJS=$(OSLIBSRCS:.c=.o)



# --- Conventional targets ----------------------------------------

all: runtime

build:

runtime: libosroadmap.a

clean: cleanone

cleanone:
	rm -f *.o *.a *.da

install:

uninstall:


# --- The real targets --------------------------------------------

libosroadmap.a: $(OSLIBOBJS)
	$(AR) $(ARFLAGS) libosroadmap.a $(OSLIBOBJS)
	$(RANLIB) libosroadmap.a

=== zlib/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-2005 Jean-loup Gailly.
# For conditions of distribution and use, see copyright notice in zlib.h

# To compile and test, type:
#    ./configure; make test
# The call of configure is optional if you don't have special requirements
# If you wish to build zlib as a shared library, use: ./configure -s

# To use the asm code, type:
#    cp contrib/asm?86/match.S ./match.S
#    make LOC=-DASMV OBJA=match.o

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

ifeq ($(DESKTOP),IPHONE)

ifeq ($(IPHONE_TOOLS_DIR),)
IPHONE_TOOLS_DIR=/usr
endif

CC=$(IPHONE_TOOLS_DIR)/bin/arm-apple-darwin9-gcc -I/var/include
AR=$(IPHONE_TOOLS_DIR)/bin/arm-apple-darwin9-ar r
RANLIB = $(IPHONE_TOOLS_DIR)/bin/arm-apple-darwin9-ranlib
ARFLAGS =

else

ifeq ($(DESKTOP),ANDROID)
include ../android/Makefile.in.android
ARFLAGS = "r"
else
CC=cc
AR=ar rc
RANLIB=ranlib

endif
endif


CFLAGS=-O $(CFLAGS_ANDROID)
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DDEBUG
#CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
#           -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS=libz.a
LDSHARED=$(CC)
CPP=$(CC) -E

LIBS=libz.a
SHAREDLIB=libz.so
SHAREDLIBV=libz.so.1.2.3
SHAREDLIBM=libz.so.1

TAR=tar
SHELL=/bin/sh
EXE=

prefix = /usr/local
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
mandir = ${prefix}/share/man
man3dir = ${mandir}/man3

OBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
       zutil.o inflate.o infback.o inftrees.o inffast.o

OBJA =
# to use the asm code: make OBJA=match.o

TEST_OBJS = example.o minigzip.o

#all: example$(EXE) minigzip$(EXE)
all: minigzip$(EXE)
check: test
test: all
	@LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH) ; export LD_LIBRARY_PATH; \
	echo hello world | ./minigzip | ./minigzip -d || \
	  echo '		*** minigzip test FAILED ***' ; \
	if ./example; then \
	  echo '		*** zlib test OK ***'; \
	else \
	  echo '		*** zlib test FAILED ***'; \
	fi

libz.a: $(OBJS) $(OBJA)
	$(AR) $(ARFLAGS) $@ $(OBJS) $(OBJA)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

match.o: match.S
	$(CPP) match.S > _match.s
	$(CC) -c _match.s
	mv _match.o match.o
	rm -f _match.s

$(SHAREDLIBV): $(OBJS)
	$(LDSHARED) -o $@ $(OBJS)
	rm -f $(SHAREDLIB) $(SHAREDLIBM)
	ln -s $@ $(SHAREDLIB)
	ln -s $@ $(SHAREDLIBM)

example$(EXE): example.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)

minigzip$(EXE): minigzip.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)

install: $(LIBS)
	-@if [ ! -d $(exec_prefix) ]; then mkdir -p $(exec_prefix); fi
	-@if [ ! -d $(includedir)  ]; then mkdir -p $(includedir); fi
	-@if [ ! -d $(libdir)      ]; then mkdir -p $(libdir); fi
	-@if [ ! -d $(man3dir)     ]; then mkdir -p $(man3dir); fi
	cp zlib.h zconf.h $(includedir)
	chmod 644 $(includedir)/zlib.h $(includedir)/zconf.h
	cp $(LIBS) $(libdir)
	cd $(libdir); chmod 755 $(LIBS)
	-@(cd $(libdir); $(RANLIB) libz.a || true) >/dev/null 2>&1
	cd $(libdir); if test -f $(SHAREDLIBV); then \
	  rm -f $(SHAREDLIB) $(SHAREDLIBM); \
	  ln -s $(SHAREDLIBV) $(SHAREDLIB); \
	  ln -s $(SHAREDLIBV) $(SHAREDLIBM); \
	  (ldconfig || true)  >/dev/null 2>&1; \
	fi
	cp zlib.3 $(man3dir)
	chmod 644 $(man3dir)/zlib.3
# The ranlib in install is needed on NeXTSTEP which checks file times
# ldconfig is for Linux

uninstall:
	cd $(includedir); \
	cd $(libdir); rm -f libz.a; \
	if test -f $(SHAREDLIBV); then \
	  rm -f $(SHAREDLIBV) $(SHAREDLIB) $(SHAREDLIBM); \
	fi
	cd $(man3dir); rm -f zlib.3

mostlyclean: clean
clean:
	rm -f *.o *~ example$(EXE) minigzip$(EXE) \
	   libz.* foo.gz so_locations \
	   _match.s maketree contrib/infback9/*.o

maintainer-clean: distclean
distclean: clean
	cp -p Makefile.in Makefile
	cp -p zconf.in.h zconf.h
	rm -f .DS_Store

tags:
	etags *.[ch]

depend:
	makedepend -- $(CFLAGS) -- *.[ch]

# DO NOT DELETE THIS LINE -- make depend depends on it.

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: crc32.h zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
example.o: zlib.h zconf.h
gzio.o: zutil.h zlib.h zconf.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
inflate.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
infback.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
minigzip.o: zlib.h zconf.h
trees.o: deflate.h zutil.h zlib.h zconf.h trees.h
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

=== debian/changelog ===
waze (0.0.9) unstable; urgency=low
  * Added 'backlight stay lit only when plugged' option
  * Fixed the freeze that occured when data was transmitted, so no more 'Close application...' dialog.
  * Fixed network data compression (working 90% of the time)
  * Fixed adding a favorite caused crash
  * Fixed pinging a wazer caused crash
  * Fixed some crashes that occured when starting a new search
  * About menu changed a bit

 -- Assaf Paz (damagedspline) <damagedspline@gmail.com>  Tue, 15 May 2012 21:58:15 +0300

waze (0.0.8) unstable; urgency=low
  * Implement secured connections
  * Fixed empty mood list
  * Fixed empty car list

 -- Assaf Paz (damagedspline) <damagedspline@gmail.com>  Sat, 28 Apr 2012 19:26:44 +0300

waze (0.0.7) unstable; urgency=low
  * Rewrite the network layer to be based on Qt instead of kernel sockets
  * Rewrite the config layer to use QSettings
  * Rewrite the path+file layer to use QFile & QDir
  * Fix current traffic reports list dialog - reports not visible
  * Support multiuser environments (such as Linux and Windows)
  * Fix low battery warning still showing when charging

 -- Assaf Paz <damagedspline@gmail.com>  Wed, 18 Apr 2012 09:31:20 +0300

waze (0.0.6) unstable; urgency=low
  * Fix mislocation issue
  * Fix multitouch zoom on N9
  * Add to the Maemo/Meego repositories
  * Browser integration
  * Groups support
  * Coupons support
  * Business information support

 -- Assaf Paz <damagedspline@gmail.com>  Wed, 08 Feb 2012 20:08:54 +0200

waze (0.0.5) unstable; urgency=low
  * Upgrade the base code to Waze v2.4.0 which add a lot of features, like: (the next are taken from the Waze official changelog - with small comments where related to this Qt port)
  * ---------------------------------------------------------------
  * Complete voice guidance using natural text-to-speech capabilities (English USA and Canada only. More languages coming soon!)
  * Road shields and improved map graphics display (Qt port need fixing here)
  * Animated display of top contributing wazers
  * Automatic centering on map after panning
  * Night mode settings saved if not in auto night mode
  * Alert popup screen modification
  * Shuffle 'start driving' prompt (English only)
  * Alternative routes button in navigation menu and new display of routes selection on map
  * New ETA update messages
  * Improved routing request in case of poor network connectivity (Qt port need fixing here)
  * Async logs upload
  * Updated alerts list with number of comments and number of thumbs up
  * My waze menu (Qt port will modify this in future versions)
  * Vocal navigation instructions fix (for non English languages)
  * UTF Long text trimming
  * Various crash fixes

 -- Assaf Paz <damagedspline@gmail.com>  Mon, 16 Jan 2012 19:02:05 +0200

waze (0.0.4) unstable; urgency=low
  * Native keyboard support
  * Fix speed reading
  * Fix map download (hopefully)

 -- Assaf Paz <damagedspline@gmail.com>  Mon, 19 Dec 2011 20:37:49 +0200

waze (0.0.3) unstable; urgency=low
  * Navigate to a contact's saved address
  * Volume control (in general settings)
  * Disable screensaver (in general settings)
  * Fixed speed reading

 -- Assaf Paz <damagedspline@gmail.com>  Sat, 03 Dec 2011 20:07:17 +0200

waze (0.0.2) unstable; urgency=low
  * Fix the flickering
  * Make the media files (audio/images) not show on the gallery/mediaplayer

 -- Assaf Paz <damagedspline@gmail.com>  Wed, 23 Nov 2011 23:19:38 +0200

waze (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Assaf Paz <damagedspline@gmail.com>  Thu, 27 Oct 2011 20:03:37 +0200

=== debian/control ===
Source: waze
Section: user/navigation
Priority: optional
Maintainer: Assaf Paz (damagedspline) <damagedspline@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libqtm-dev
Standards-Version: 3.7.3
Homepage: http://code.google.com/p/waze-qt

Package: waze
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtquickcompat, libqtm-location | libqtm-12, libqtm-contacts | libqtm-12, libqtm-mutimedia | libqtm-12, libqtm-systeminfo | libqtm-12
Description: Waze is a free, community-based traffic & navigation app
 When you download Waze, you not only get free navigation, but also become part of the local driving community in your area, joining forces with other drivers nearby to outsmart traffic, save time and improve everyone's daily commute. All you have to do is drive, so get involved today!
XB-Maemo-Display-Name: Waze
XB-Maemo-Icon-26: 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

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake PREFIX=/usr

	# qmake PREFIX=/usr# Uncomment this line for use without Qt Creator

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	$(MAKE)

	# Add here commands to compile the package.
	# $(MAKE) # Uncomment this line for use without Qt Creator
	#docbook-to-man debian/waze.sgml > waze.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/waze.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/waze install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps

	# dh_shlibdeps # Uncomment this line for use without Qt Creator
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
